beta1<-mcmc.output$b1
beta2<-mcmc.output$b2
beta3<-mcmc.output$b3

graphics.off()
#-------------------------------------------------------------------------------
postscript('chap1_ex07_4-1.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-55000
index<-1:iter


ergbeta1<-erg.mean( beta1[index,1] )
ergbeta2<-erg.mean( beta2[index,1] )
ergbeta3<-erg.mean( beta3[index,1] )

ylims<-range( c(ergbeta1,ergbeta2,ergbeta3) )

step<-10
index3<-seq(1,iter,step) 

plot(index3 , ergbeta1[index3], type='l', ylab='Values of beta0', xlab='Iterations', main='Ergodic Mean Plot of beta0', ylim=ylims)
lines(index3, ergbeta2[index3], col=2, lty=2)
lines(index3, ergbeta3[index3], col=3, lty=4)


graphics.off()

beta1<-mcmc.output$b1
beta2<-mcmc.output$b2
beta3<-mcmc.output$b3

graphics.off()
#-------------------------------------------------------------------------------
postscript('chap1_ex07_4-2.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-55000
burnin<-8000
index<-(burnin+1):iter
ergbeta1<-erg.mean( beta1[index,1] )

iter<-55000
burnin<-1000
index<-(burnin+1):iter
ergbeta2<-erg.mean( beta2[index,1] )

iter<-55000
burnin<-1000
index<-(burnin+1):iter
ergbeta3<-erg.mean( beta3[index,1] )

#ylims<-range( c(ergbeta1,ergbeta2,ergbeta3) )

step<-10
burnin<-8000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
plot(index3 , ergbeta1[index4], type='l', ylab='Values of beta0', xlab='Iterations', main='Ergodic Mean Plot of beta0 (after discarding burnin)', ylim=ylims, xlim=c(1,55000))

burnin<-1000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
lines(index3, ergbeta2[index4], col=2, lty=2)

burnin<-1000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
lines(index3, ergbeta3[index4], col=3, lty=4)


graphics.off()

beta1<-mcmc.output$b1
beta2<-mcmc.output$b2
beta3<-mcmc.output$b3

graphics.off()
#-------------------------------------------------------------------------------
postscript('chap1_ex07_4-3.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-55000
index<-1:iter


ergbeta1<-erg.mean( beta1[index,2] )
ergbeta2<-erg.mean( beta2[index,2] )
ergbeta3<-erg.mean( beta3[index,2] )

ylims<-range( c(ergbeta1,ergbeta2,ergbeta3) )

step<-10
index3<-seq(1,iter,step) 

plot(index3 , ergbeta1[index3], type='l', ylab='Values of beta1', xlab='Iterations', main='Ergodic Mean Plot of beta1', ylim=ylims)
lines(index3, ergbeta2[index3], col=2, lty=2)
lines(index3, ergbeta3[index3], col=3, lty=4)


graphics.off()


#-------------------------------------------------------------------------------
postscript('chap1_ex07_4-4.ps', width = 10.0, height = 6.0, horizontal=FALSE)
par( xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-55000
burnin<-8000
index<-(burnin+1):iter
ergbeta1<-erg.mean( beta1[index,2] )

iter<-55000
burnin<-1000
index<-(burnin+1):iter
ergbeta2<-erg.mean( beta2[index,2] )

iter<-55000
burnin<-1000
index<-(burnin+1):iter
ergbeta3<-erg.mean( beta3[index,2] )

#ylims<-range( c(ergbeta1,ergbeta2,ergbeta3) )

step<-10
burnin<-8000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
plot(index3 , ergbeta1[index4], type='l', ylab='Values of beta0', xlab='Iterations', main='Ergodic Mean Plot of beta0 (after discarding burnin)', ylim=ylims, xlim=c(1,55000))

burnin<-1000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
lines(index3, ergbeta2[index4], col=2, lty=2)

burnin<-1000
index3<-seq(burnin+1,iter,step) 
index4<-seq(1,iter-burnin,step) 
lines(index3, ergbeta3[index4], col=3, lty=4)



graphics.off()

#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
# TABLE ONE: POSTERIORS
#-------------------------------------------------------------------------------

mcerror.batch<-function( x, batches=50 ){
 iter<-length(x)
 batleng<-ceiling(iter/batches)
 bats<-sort(rep(seq(from=1, to=batches, by=1), batleng))
 bats<-bats[1:iter]
 batmeans<-tapply(x,bats,mean)
 mc.error<- sd(batmeans)/sqrt(batches-1)
 return(mc.error)
}


beta1<-mcmc.output$b1[8001:55000,]
beta2<-mcmc.output$b2[1001:11000,]
beta3<-mcmc.output$b3[1001:11000,]


#beta1<-mcmc.output$b1[seq(8001,55000,20),]
#beta2<-mcmc.output$b2[seq(1001,11000,90),]
#beta3<-mcmc.output$b3[seq(1001,11000,650),]


tab1<-matrix( nrow=6,ncol=5 )

x<-beta1[,1] ; i<-1
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )

x<-beta2[,1] ; i<-2
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )

x<-beta3[,1] ; i<-3
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )

x<-beta1[,2] ; i<-4
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )

x<-beta2[,2] ; i<-5
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )

x<-beta3[,2] ; i<-6
tab1[i,1] <- mean( x )
tab1[i,2] <- mcerror.batch(x)
tab1[i,3] <- sd( x )
tab1[i,4:5] <- quantile( x , c(0.025, 0.975) )






